## org.omg.CORBA.portable
Class ObjectImpl

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl

All Implemented Interfaces:
  Object

Direct Known Subclasses:
  _AbstractInterfaceDefStub, _AdapterActivatorStub, _AliasDefStub, _ArrayDefStub, _AttributeDefStub, _BidirectionalPolicyStub, _BindingIteratorStub, _CodeBaseStub, _ConstantDefStub, _ContainedStub, _ContainerStub, _CorbalocServiceStub, _DomainManagerStub, _EnumDefStub, _ExceptionDefStub, _FixedDefStub, _IDLTypeStub, _InterfaceDefStub, _IRObjectStub, _LocalInterfaceDefStub, _ModuleDefStub, _NamingContextExtStub, _NamingContextStub, _NativeDefStub, _OperationDefStub, _PolicyStub, _PrimitiveDefStub, _RepositoryStub, _RunTimeStub, _SequenceDefStub, _ServantActivatorStub, _ServantLocatorStub, _ServantManagerStub, _StringDefStub, _StructDefStub, _TypeCodeFactoryStub, _TypedefDefStub, _UnionDefStub, _ValueBoxDefStub, _ValueDefStub, _ValueMemberDefStub, _WstringDefStub, DynamicImplementation, ObjectImpl

public abstract class ObjectImpl
extends java.lang.Object
implements Object

Constructor Summary
`ObjectImpl()`

Method Summary
`Request` `_create_request(Context ctx, java.lang.String operation, NVList arg_list, NamedValue result)`
`Request` `_create_request(Context ctx, java.lang.String operation, NVList arg_list, NamedValue result, ExceptionList exceptions, ContextList contexts)`
`Object` `_duplicate()`
`Delegate` `_get_delegate()`
`DomainManager[]` `_get_domain_managers()`
`Object` `_get_interface_def()`
`InterfaceDef` `_get_interface()` Deprecated. Deprecated by CORBA 2.3
`Policy` `_get_policy(int policy_type)`
`int` `_hash(int maximum)`
`abstract java.lang.String[]` `_ids()`
`InputStream` `_invoke(OutputStream output)`
`boolean` `_is_a(java.lang.String repository_id)`
`boolean` `_is_equivalent(Object that)`
`boolean` `_is_local()`
`boolean` `_non_existent()`
`ORB` `_orb()`
`void` `_release()`
`void` `_releaseReply(InputStream input)`
`Request` `_request(java.lang.String operation)`
`OutputStream` `_request(java.lang.String operation, boolean responseExpected)`
`void` `_servant_postinvoke(ServantObject servant)`
`ServantObject` `_servant_preinvoke(java.lang.String operation, java.lang.Class expectedType)`
`void` `_set_delegate(Delegate deleg)`
`Object` `_set_policy_override(Policy[] policies, SetOverrideType set_add)`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectImpl

    public ObjectImpl()

Method Detail

### _get_delegate

    public Delegate _get_delegate()

### _set_delegate

    public void _set_delegate(Delegate deleg)

### _ids

    public abstract java.lang.String[] _ids()

### _get_interface

    public InterfaceDef _get_interface()

  Deprecated. Deprecated by CORBA 2.3

  Specified by:
    `_get_interface` in interface `Object`

### _get_interface_def

    public Object _get_interface_def()

  Specified by:
    `_get_interface_def` in interface `Object`

### _duplicate

    public Object _duplicate()

  Specified by:
    `_duplicate` in interface `Object`

### _release

    public void _release()

  Specified by:
    `_release` in interface `Object`

### _is_a

    public boolean _is_a(java.lang.String repository_id)

  Specified by:
    `_is_a` in interface `Object`

### _is_equivalent

    public boolean _is_equivalent(Object that)

  Specified by:
    `_is_equivalent` in interface `Object`

### _non_existent

    public boolean _non_existent()

  Specified by:
    `_non_existent` in interface `Object`

### _hash

    public int _hash(int maximum)

  Specified by:
    `_hash` in interface `Object`

### _request

    public Request _request(java.lang.String operation)

  Specified by:
    `_request` in interface `Object`

### _request

    public OutputStream _request(java.lang.String operation,
                                 boolean responseExpected)

### _invoke

    public InputStream _invoke(OutputStream output)
                        throws ApplicationException,
                               RemarshalException

### _releaseReply

    public void _releaseReply(InputStream input)

### _create_request

    public Request _create_request(Context ctx,
                                   java.lang.String operation,
                                   NVList arg_list,
                                   NamedValue result)

  Specified by:
    `_create_request` in interface `Object`

### _create_request

    public Request _create_request(Context ctx,
                                   java.lang.String operation,
                                   NVList arg_list,
                                   NamedValue result,
                                   ExceptionList exceptions,
                                   ContextList contexts)

  Specified by:
    `_create_request` in interface `Object`

### _get_policy

    public Policy _get_policy(int policy_type)

  Specified by:
    `_get_policy` in interface `Object`

### _get_domain_managers

    public DomainManager[] _get_domain_managers()

  Specified by:
    `_get_domain_managers` in interface `Object`

### _set_policy_override

    public Object _set_policy_override(Policy[] policies,
                                       SetOverrideType set_add)

  Specified by:
    `_set_policy_override` in interface `Object`

### _orb

    public ORB _orb()

### _is_local

    public boolean _is_local()

### _servant_preinvoke

    public ServantObject _servant_preinvoke(java.lang.String operation,
                                            java.lang.Class expectedType)

### _servant_postinvoke

    public void _servant_postinvoke(ServantObject servant)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`